import AbstractIssue from './abstract-issue.js';
export default class EnumIssue extends AbstractIssue {
    enumName;
    constructor(args) {
        super(args);
        if (!args.enumName) {
            throw new Error('An enum name must be passed.');
        }
        this.enumName = args.enumName;
    }
}
